Delete Auto-Response Setting
DELETE
/
messaging_profiles
/
{profile_id}
/
autoresp_configs
/
{autoresp_cfg_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const autorespConfig = await client.messagingProfiles.autorespConfigs.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(autorespConfig);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
autoresp_config = client.messaging_profiles.autoresp_configs.delete(
autoresp_cfg_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(autoresp_config)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
autorespConfig, err := client.MessagingProfiles.AutorespConfigs.Delete(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingProfileAutorespConfigDeleteParams{
ProfileID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", autorespConfig)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AutorespConfigDeleteParams params = AutorespConfigDeleteParams.builder()
.profileId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.autorespCfgId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
String autorespConfig = client.messagingProfiles().autorespConfigs().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
autoresp_config = telnyx.messaging_profiles.autoresp_configs.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(autoresp_config)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$autorespConfig = $client->messagingProfiles->autorespConfigs->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($autorespConfig);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles:autoresp-configs delete \
--api-key 'My API Key' \
--profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--autoresp-cfg-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request DELETE \
--url https://api.telnyx.com/v2/messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id} \
--header 'Authorization: Bearer <token>'"OK"{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the profile.
Unique identifier of the autoresp cfg.
Response
Successful Response
The response is of type string.
Example:
"OK"
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const autorespConfig = await client.messagingProfiles.autorespConfigs.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(autorespConfig);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
autoresp_config = client.messaging_profiles.autoresp_configs.delete(
autoresp_cfg_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(autoresp_config)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
autorespConfig, err := client.MessagingProfiles.AutorespConfigs.Delete(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingProfileAutorespConfigDeleteParams{
ProfileID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", autorespConfig)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AutorespConfigDeleteParams params = AutorespConfigDeleteParams.builder()
.profileId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.autorespCfgId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
String autorespConfig = client.messagingProfiles().autorespConfigs().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
autoresp_config = telnyx.messaging_profiles.autoresp_configs.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(autoresp_config)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$autorespConfig = $client->messagingProfiles->autorespConfigs->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($autorespConfig);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles:autoresp-configs delete \
--api-key 'My API Key' \
--profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--autoresp-cfg-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request DELETE \
--url https://api.telnyx.com/v2/messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id} \
--header 'Authorization: Bearer <token>'"OK"{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}